petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMPlexCreateGmsh

Create a DMPlex mesh from a Gmsh file viewer

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexCreateGmsh(MPI_Comm comm, PetscViewer viewer, PetscBool interpolate, DM *dm)

Collective on comm Many br

### Input Parameters

| comm | - The MPI communicator Many br
| viewer | - The Viewer associated with a Gmsh file Many br
| interpolate | - Create faces and edges in the mesh Many br

### Output Parameter

dm -The DM object representing the mesh Many br

Note: http://www.geuz.org/gmsh/doc/texinfo/#MSH-ASCII-file-format Many brand http://www.geuz.org/gmsh/doc/texinfo/#MSH-binary-file-format Many br

Many br

### Keywords

mesh,Gmsh

### See Also

DMPLEX, DMCreate()

Level:beginner
Location:src/dm/impls/plex/plexgmsh.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages